Subject: Re: Updated: rxvt-2.7.2-5
From: Ville Herva <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Jun 2001 10:23:37 +0300

On Wed, Jun 20, 2001 at 09:49:30AM -0700, you [Steve O] claimed:
> > 2) when running in X mode, the window sometimes dies  
> > spontaneously when it loses focus.
> 
> This is a new one to me.  There's not much I can
> think of to cause this, aside from some kind of 
> problem with loading a function from a dll.

I tried to do some debugging. It doesn't do it every time, but it seems more
prone to it, when it loses focus while something is selected. As always,
when I compile with debug symbols, it doesn't happen (at least that often).

The X server thinks it has made and illegal request, this is the output from
the rxvt's handle X error -function:

rxvt: XError: Request: 18 . 0, Error: 16

It doesn't happen with XFree86-4.0.3 on linux (when I log onto the NT box
with ssh), so perhaps I'll file in a bug report. Which X server do you use?

> As far as 1) and 3), I looked for "foo" in the source
> and didn't find anything as far as debug.  It almost
> sounds like your X-server is adding the "fooo".

Yes, I couldn't find 'fooo' from the source or binary myself either. 
 
vherva@enigma:Program Files/StarNet/X-Win5.1>strings **/*|grep fooo

finds nothing either, and it isn't in the X libraries. Where the heck is
it??

> Large pastes have always been a problem.  Also this
> simple test:
>   cat /usr/bin/rxvt.exe
> causes a deadlock that hangs any version of rxvt
> on cygwin.

Nice to know it's a known problem. Have you any idea, what might cause it?

thank you for taking the time to answer,

-- v --

[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple